{ pkgs, ... }:
{
  services.nginx.virtualHosts."mapfm-poster.donsz.nl" = {
    forceSSL = true;
    http2 = true;
    enableACME = true;

    locations."/" = {
      root = pkgs.stdenv.mkDerivation rec {
        pname = "research-project-poster";
        version = "2021-06-27";
        src = pkgs.fetchFromGitHub {
          owner = "jdonszelmann";
          repo = "research-project";
          rev = "f1c0c5d839197f825b555780271781281ba10ac3";
          sha256 = "sha256-YJxcLRABU3yRS/U/XNLpTIXtve0cFfnwPKr+1oY0HeY=";
        };

        installPhase = ''
          mkdir -p $out
          cp -r assets/final_poster/* $out
        '';
      };
    };
  };
}
